上一篇:Spring Boot 太狠了,一次性发布了 3 个版本!

Spring Boot 这么狠的么,每次连发三个版本,Spring Boot 比 Java 还要版本帝啊。

老铁们,栈长我都学不过来了啊。

这三个版本分别是:2.3.4, 2.2.10, 2.1.17,这三个版本的具体区别这篇不展开了,点击这里看下我上篇发布的吧。

Maven 中央仓库也已经上了:

从 Maven 中央仓库来看,Spring Boot 2.3 系列被引用率非常低啊,基本没什么用。

下面栈长照旧解读下更新:

这 3 个版本主要修复了一系列个bug,其中还包括框架的性能提升、文档改进、依赖升级等。

需要注意的是:这 3 个版本依赖的 Spring 框架中都共同包含了一个安全漏洞的修复:CVE-2020-5421

漏洞描述:

在 Spring 框架 5.2.0 – 5.2.8、5.1.0 – 5.1.17、5.0.0 – 5.0.18、4.3.0 – 4.3.28,以及更老的不受支持的版本中,针对 CVE-2015-5211 漏洞攻击的保护可以通过在浏览器 URL 路径中使用 jsessionid 参数绕过。

严重程度很高,受影响的版本包括 Spring Framework:

  • 5.2.0 ~ 5.2.8
  • 5.1.0 ~ 5.1.17
  • 5.0.0 ~ 5.0.18
  • 4.3.0 ~ 4.3.28
  • 更老的不支持的版本

建议升级到 Spring Framework:

  • 5.2.9
  • 5.1.18
  • 5.0.19
  • 4.3.29

具体请参考这个地址:

https://tanzu.vmware.com/security/cve-2020-5421

有用到这系列 Spring 框架的,还是要注意升级保平安啊!

最后奉上这三个版本的 Maven 依赖:

Spring Boot 2.3.4:

<dependency>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-parent</artifactId>
    <version>2.3.4.RELEASE</version>
    <type>pom</type>
</dependency>

Spring Boot 2.2.10:

<dependency>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-parent</artifactId>
    <version>2.2.10.RELEASE</version>
    <type>pom</type>
</dependency>

Spring Boot 2.1.17:

<dependency>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-parent</artifactId>
    <version>2.1.17.RELEASE</version>
    <type>pom</type>
</dependency>

可能现在用的最多的还是 Spring Boot 2.1.x 系列的吧,另外,Spring Boot 2.4.x 也在路上了,栈长将继续关注并更新系列教程,关注公众号Java技术栈第一时间推送。

你们用的哪个版本呢,来投票统计下吧。

声明:本站所有文章,如无特殊说明或标注,均为本站原创发布。任何个人或组织,在未征得本站同意时,禁止复制、盗用、采集、发布本站内容到任何网站、书籍等各类媒体平台。如若本站内容侵犯了原著者的合法权益,可联系我们进行处理。

发表回复

您的电子邮箱地址不会被公开。